package net.sdls.barista.swt;

import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.layout.FormAttachment;
import org.eclipse.swt.layout.FormData;
import org.eclipse.swt.layout.FormLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Combo;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

public class FormLayoutFrame {

	private Shell sShell = null;  //  @jve:decl-index=0:visual-constraint="0,0"
	private Button button = null;
	private Text text = null;
	private Combo combo = null;

	/**
	 * This method initializes sShell
	 */
	private void createSShell() {
		sShell = new Shell();
		sShell.setSize(new Point(300, 200));
		sShell.setText("Shell");
		sShell.setLayout(new FormLayout());
		button = new Button(sShell, SWT.NONE);
		button.setText("{^P");
		text = new Text(sShell, SWT.BORDER);
		createCombo();

		FormData data1 = new FormData();
		data1.left = new FormAttachment(0, 0);
		data1.top = new FormAttachment(0, 0);

		button.setLayoutData(data1);

		FormData data2 = new FormData();
		data2.left = new FormAttachment(button);

		text.setLayoutData(data2);

		FormData data3 = new FormData();
		data3.left = new FormAttachment(text);
		
		combo.setLayoutData(data3);

	}

	/**
	 * This method initializes combo	
	 *
	 */
	private void createCombo() {
		combo = new Combo(sShell, SWT.NONE);
	}

}
